Subject: RE: SML-NJ for CygWin32
From: [email-masked] (Gary Fuehrer)

30 Aug 1997 03:44:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <6CC63E2E4FC1D011A2A700609716117A266F13.cygnus.gnu-win32@seawolf>
Mime-Version: 1.0
Content-Type: text/plain
Original-To: "[email-masked]'" <[email-masked]>
Original-Cc: "'Brad Porter'" <[email-masked]>,
        "'Denis Trcek'"
	 <[email-masked]>
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1458.49)
Original-Sender: [email-masked]

Brad,

Shortly, I will e-mail you a couple of tar.gz files with the stuff you
need plus instructions.

I will mail this to anyone who wants it.  Just e-mail your request to me
directly ([email-masked]) so we don't clutter up the gnu-win32
mailing list.  Please specify whether or not you want me to send a
pre-built cygwin.dll that includes my patches to winsup, as it is 544
kBytes uncompressed.

The SML-NJ team has accepted these changes and are incorporating them
now.  I'm working through this mailing list to get the CygWin32 changes
incorporated into beta 19.  My goal is to get SML-NJ 109.31 and CygWin32
beta 19 working together without patches.  We'll see how it goes.

Since I haven't pointed it out explicitly anywhere else, I just inform
everyone now:  SML-NJ can't work under CygWin32 on top of Win95.  Only
NT.  It's because the SML-NJ runtime for unix variants (of which
CygWin32 is one) depends on a functioning mmap().  And mmap() can't be
implemented by CygWin32 (or anyone else) for Win95 (see winsup/mmap.cc
for a special comment about Win95).

Thanks for your interest,
Gary

PS.  Denis, are you still interested?

> ----------
> From: 	Brad Porter[SMTP:[email-masked]]
> Sent: 	Sunday, August 24, 1997 1:22 AM
> To: 	Gary Fuehrer
> Subject: 	Re: SML-NJ for CygWin32
> 
> Do you have diff files or something I can use to get 109.30 to run
> under
> CygWin32 as well?
> 
> Thanks.
> 
> Gary Fuehrer wrote:
> 
> > I have now successfully gotten SML-NJ 109.30 to build and run under
> > CygWin32.  To accomplish this, changes had to be made to both
> cygwin.dll
> > (the winsup project) as well as to the SML-NJ runtime source code.
> The
> > changes to SML-NJ are just to add the necessary settings for the
> > CygWin32 platform.  I am now attempting to get the SML-NJ team to
> > incorporate those changes.  Because they are just additional
> settings to
> > support another platform, I anticipate the SML-NJ team will gladly
> > accept them.
> 
>     ...
> 
> 
> --
> Brad Porter
> 719-535-4135
> v622-4135
> 
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".